.top-bar i {
  font-size: 1.2rem;
}

.navbar {
  background-color: var(--white-color) !important;
  width: 100%;
  z-index: 99;
  position: sticky;
  top: 0;
  transition: opacity 0.2s ease-in-out, transform 0.2s ease-in-out;
}

.navbar-toggler:focus {
  box-shadow: none !important;
}

.navbar .navbar-brand picture {
  display: flex;
  width: 100px;
}

@media (max-width: 991.98px) {
  .navbar-content-container {
    border-bottom: var(--main-border);
    padding-bottom: 10px;
    width: 100%;
  }

  .navbar .navbar-collapse {
    padding-top: 10px;
    background-color: var(--white-color);
  }

  .navbar .main-container {
    max-width: 100%;
    padding: 0;
  }
}

.navbar .nav-item a {
  color: var(--primary-color) !important;
  cursor: pointer;
  font-weight: 600;
}

.navbar .nav-item a:hover {
  color: var(--green-color) !important;
}

.navbar .nav-item a.active {
  color: var(--green-color) !important;
}

.navbar .nav-item a {
  font-size: 0.9rem !important;
}

@media (min-width: 991.98px) {
  .navbar .nav-item a::after {
    content: "";
    display: block;
    width: 0;
    height: 2.2px;
    border-radius: 999px;
    background: var(--green-color);
    transition: width 0.4s;
  }

  .navbar .nav-item a:hover::after {
    width: 100%;
  }
}

.navbar .search-btn {
  transition: all 0.2s ease-in-out;
}

.navbar .search-btn:hover {
  color: var(--green-color);
}

/* Search Container */
.searchBarOpen {
  position: fixed;
  background: rgba(0, 0, 0, 0.6);
  backdrop-filter: blur(10px);
  justify-content: center;
  align-items: center;
  z-index: 9999;
  transition: all 0.3s ease-in-out;
  padding: 2rem;
  top: -120%;
  width: 100%;
  height: 100vh;
  display: flex;
}

.searchBarOpen.active {
  top: 0;
}

.searchBarOpen--input {
  background: rgba(255, 255, 255, 0.1);
  border-radius: 50px;
  padding: .5rem;
  max-width: 600px;
  width: 100%;
  box-shadow: 0 8px 32px rgba(0, 0, 0, 0.3);
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

.searchBarOpen--input input {
  padding: 0 .8rem !important;
  caret-color: #fff;
  border-radius: 50px;
  border: none;
  font-size: 0.9rem;
  font-weight: 600;
  background: transparent;
  border: 1px solid#fff;
  color: #fff;
  flex: 1;
  border: 0;
}

.searchBarOpen--input input:focus {
  border: 0;
  outline: unset;
}

.searchBarOpen--input input::placeholder {
  color: rgb(255 255 255 / 80%);
}

.searchBarOpen--input button {
  border-radius: 50px;
  align-self: flex-start;
  padding: 0.8rem 1.5rem;
  background: var(--primary-color);
  color: #fff;
  border: none;
  font-weight: bold;
  cursor: pointer;
  transition: background-color 0.2s ease-in-out;
  display: flex;
  align-items: center;
  gap: 0.5rem;
}

.searchBarOpen--input button:hover {
  background: #e0e0e0;
}

.searchBarOpen--input button:hover i {
  color: var(--primary-color) !important;
}

.searchBarOpen--closeBtn {
  position: absolute;
  top: 25px;
  right: 30px;
  font-size: 1rem;
  color: white;
  cursor: pointer;
  transition: transform 0.2s ease-in-out;
}

.searchBarOpen--closeBtn:hover {
  transform: scale(1.2);
}

.arabic-version .navbar .nav-item a {
  font-weight: 700;
}

.arabic-version .searchBarOpen--input input {
  font-weight: 700;
}
.lang-btn h6 {
  font-family: var(--ar-font-family);
}
.arabic-version .lang-btn h6 {
  font-family: var(--en-font-family);
  font-weight: 600;
}
.search-btn span {
  font-weight: 600;
  font-size: .9rem;
}


.navbar.scrolled .lang-btn-sticky {
    display: block !important;
}

.navbar.scrolled .btn-text {
    display: none;
}

.navbar.scrolled .main-nav-buttons {
    gap: 0.5rem !important;
}

.navbar.scrolled .main-nav-buttons .search-btn {
    position: relative;
    padding-inline-end: 0.5rem;
}

.navbar.scrolled .main-nav-buttons .lang-btn-sticky {
  padding-inline-start: 0.5rem;
  transition: all 0.2s ease-in-out;
}

.navbar.scrolled .main-nav-buttons .lang-btn-sticky:hover {
  color: var(--green-color);
}

.navbar.scrolled .main-nav-buttons .search-btn::after {
    content: "";
    position: absolute;
    inset-inline-end: -6px;
    top: 50%;
    transform: translateY(-50%);
    height: 20px;
    width: 2px;
    background-color: var(--primary-color);
}

.navbar-hidden {
    opacity: 0;
    transform: translateY(-100%);
}

.vertical-navbar-sticky {
    position: sticky;
    top: 0;
    background-color: var(--white-color);
    z-index: 99;
}

.vertical-navbar {
    transition: all 0.2s ease-in-out;
}